<!DOCTYPE html>
<html>
	<head>
		<title>MathJax Dynamic Math Test Page</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<script type="text/javascript" src="jquery-1.10.2.js"></script>
		<script type="text/javascript" src="calculationlib/matrixlib.js"></script>
		<script type="text/javascript" src="calculationlib/ecclib.js"></script>
		<script type="text/javascript" src="calculationlib/polynomial.js"></script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.6/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
		<!--<script type="text/javascript" src="MathJax/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>-->
		<script type="text/x-mathjax-config">
			MathJax.Hub.Config({tex2jax: {inlineMath: [['$','$'], ['\\(','\\)']]}});
			MathJax.Localization.setLocale("tr");
		</script>
		<script>
			var WriteFormula = function(divId, TeX)
				{
					//var HIDEBOX = function () { box.style.visibility = "hidden" }
					//var SHOWBOX = function () { box.style.visibility = "visible" }
					var selector = "#" + divId;
					var selObj = $(selector)
					var queue = MathJax.Hub.queue;
					var math = MathJax.Hub.getAllJax(divId)[0];
					queue.Push(
								function () { selObj.css('visibility','hidden') },
								["resetEquationNumbers",MathJax.InputJax.TeX],
								["Text",math,"\\displaystyle{"+TeX+"}"],
								function () { selObj.css('visibility','visible') }
						);
				}
		</script>
	</head>

	<body>

		<p>
			<h3>Polynom Test</h3>

			<b>q:</b> <input type="text" id="txtGroup1Q" value="2"/> <br />
			<b>Polinom:</b> <input type="text" id="txtGroup1Polygon" value="[1,2,3,4,3,-2,0,1]"/>
			<input type="button" id="btnWrite" value="Matrisi Yaz" />
			<div id="MathOutput1">$${}$$</div>

			<hr>

			<b>q:</b> <input type="text" id="txtGroup2Q" value="2"/> <br />
			<b>Polinom:</b> <input type="text" id="txtGroup2Polygon1" value="[1,2,3,4,3,-2,0,1]"/><br>
			<b>Polinom:</b> <input type="text" id="txtGroup2Polygon2" value="[1,2,3,4,3,-2,0,1]"/><br>
			<input type="button" id="btnAdd" value="Topla" />
			<input type="button" id="btnMultiply" value="Çarp" />
			<div id="MathOutput2">$${}$$</div>

			<hr>

			<b>q:</b> <input type="text" id="txtGroup3Q" value="7"/> <br />
			<b>Data:</b> <input type="text" id="txtGroup3Data" value="[[0,2],[1,4],[2,3],[3,1]]"/><br>
			<input type="button" id="btnFindPolynomial" value="Polinom İnterpolasyon" />
			<div id="MathOutput3">$${}$$</div>

		</p>

		<script type="text/javascript">
			$(document).ready(function () {
				$("input[type='button']").click(function (e) {
					if (e.target.id == "btnWrite") {

						var q = parseInt($('#txtGroup1Q').val());
						var polynomString = $('#txtGroup1Polygon').val();
						var polynomArray = eval(polynomString);
						var polynom = new Polynomial(polynomArray, q);

						var polynomText = "f(" + polynom.Symbol + ")=";
						polynomText += polynom.Text;
						WriteFormula("MathOutput1", polynomText);
					}
					else if (e.target.id == "btnAdd"){
						var q = parseInt($('#txtGroup2Q').val());
						var polynom1String = $('#txtGroup2Polygon1').val();
						var polynom1Array = eval(polynom1String);
						var polynom1 = new Polynomial(polynom1Array, q);
						var polynom2String = $('#txtGroup2Polygon2').val();
						var polynom2Array = eval(polynom2String);
						var polynom2 = new Polynomial(polynom2Array, q);
						var result = polynom1.Add(polynom2);

						var text = "(" + polynom1.Text + ") + ";
						text += "(" + polynom2.Text + ")=";
						text += result.Text;
						WriteFormula("MathOutput2", text);
					}
					else if (e.target.id == "btnMultiply"){
						var q = parseInt($('#txtGroup2Q').val());
						var polynom1String = $('#txtGroup2Polygon1').val();
						var polynom1Array = eval(polynom1String);
						var polynom1 = new Polynomial(polynom1Array, q);
						var polynom2String = $('#txtGroup2Polygon2').val();
						var polynom2Array = eval(polynom2String);
						var polynom2 = new Polynomial(polynom2Array, q);
						var result = polynom1.Multiply(polynom2);

						var text = "(" + polynom1.Text + ") * ";
						text += "(" + polynom2.Text + ")=";
						text += result.Text;
						WriteFormula("MathOutput2", text);
					}
					else if (e.target.id == "btnFindPolynomial") {
						var q = parseInt($('#txtGroup3Q').val());
						var data = eval($('#txtGroup3Data').val());
						var interpolation = new Interpolation(q);
						var polynom = interpolation.Polynomial(data);

						var polynomText = "f(" + polynom.Symbol + ")=";
						polynomText += polynom.Text + "\\\\";
						for (var i = 0; i < data.length; i++)
							polynomText += "f(" + data[i][0] + ")=" + polynom.Calculate(data[i][0]) + "\\\\";
						WriteFormula("MathOutput3", polynomText);
					}
				});
			});
		</script>

	</body>
</html>
